kr.co.hanwha.hifive.view.refresh

## Interface CustomRefreshLayout.OnChildScrollUpCallback

- Enclosing class:
    CustomRefreshLayout

      public static interface CustomRefreshLayout.OnChildScrollUpCallback

  Classes that wish to override `SwipeRefreshLayout#canChildScrollUp()` method behavior should implement this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canChildScrollUp(CustomRefreshLayout parent, android.view.View child)` Callback that will be called when `SwipeRefreshLayout#canChildScrollUp()` method is called to allow the implementer to override its behavior.

- - ### Method Detail

    - #### canChildScrollUp

          boolean canChildScrollUp(CustomRefreshLayout parent,
                                   @Nullable
                                   android.view.View child)

      Callback that will be called when `SwipeRefreshLayout#canChildScrollUp()` method is called to allow the implementer to override its behavior.
      Parameters:
        `parent` - SwipeRefreshLayout that this callback is overriding.
        `child` - The child view of Swipe
      Returns:
        Whether it is possible for the child view of parent layout to scroll up.